import { Enemy } from "../game/Enemy";

const Constants = {
    //是否是测试包
    isDebug: true,
    //游戏名字
    gameName: "GunfightShoot",

    //本地缓存KEY值
    localCache: {
        playerData: 'WOS_GS_PlayerData', //玩家基础数据缓存
        settingData: 'WOS_GS_SettingData', //设置相关数据
    },

    //通知事件类型
    eventName: {
        magazine_num_change:'magazine_num_change', //弹夹子弹颗数发生变化  
        enemy_num_change: 'enemy_num_change', //敌人数量发生变化
    },

    //音效
    audios: {
        BGM: "bgm/BGM", //背景音乐
        bgm_1: "bgm/bgm_1", //背景音乐1
        bgm_2: "bgm/bgm_2", //背景音乐2
        bgm_3: "bgm/bgm_3", //背景音乐3
        buy: "sound/buy", //购买
        click: "sound/click", //点击
        dart: "sound/dart", //飞镖
        Enemy_attack: "sound/Enemy_attack",
        loss: "sound/loss",
        Oildrum_explosion: "sound/Oildrum_explosion",
        reload: "sound/reload",
        reward: "sound/reward",
        Tank_Attack: "sound/Tank_Attack",
        Tank_Explosion: "sound/Tank_Explosion",
        upgrade: "sound/upgrade",
        victory: "sound/victory",
        head_shot: "sound/head_shot"
    },

    //动态bun
    bundleName: {
        audios: `audios`,//音乐资源
        prefabs: `prefabs`,//预制体
        data: `data`,//数据资源包
        resources: `resources`,//系统自带的bundle资源包
    },

    //主页面,不会消除释放,可以相互动态切换pop
    mainUIs: {
        main: `page/main`,//主要页面
    },

    //popUIs弹出的页面,需要单个消除释放
    popUIs: {
        settingUI: `ui/settingUI`,//设置节点界面
        gunfightShootUI: `ui/gunfightShootUI`,//枪械射击页面
        storeUI: `ui/storeUI`,//商店页面
        arsenalUI: `ui/arsenalUI`,//武器库页面
        tossBoomerangUI: `ui/tossBoomerangUI`,//扔飞镖页面
        upgradeGunUI: `ui/upgradeGunUI`,//升级枪的页面
        buyBoomerangUI: `ui/buyBoomerangUI`,//购买飞镖商店的页面
        obtainUI: `ui/obtainUI`,//领取奖励的页面
        pauseUI: `ui/pauseUI`,//游戏暂停的页面
        settleUI: `ui/settleUI`,//游戏失败和成功结算的页面
    },
    
    //场景名称ScenesName
    scenesName: {
        load: 'scenes/launch',//游戏开始
        game: 'scenes/game'//游戏进入
    },
    
    gold: `goldLable`,//金币
    diamond: `diamondLable`,//钻石
    levelTask: `levelTask`,//关卡任务数据

    //战斗时间
    battleTime: 60,
    //放置奖励额外观看视频的次数
    hangupRewardVideoCount:  3,
    //召唤伙伴观看视频的次数
    summonHuoBanVideoCount: 2,
    //境界试炼单日看广告的最大次数
    trialVideoCount: 2,
    //封魔塔单日看广告的最大次数
    towerVideoCount: 2,
    //挑战魔王单日看广告的最大次数
    bossVideoCount: 2,
};
export { Constants }